Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.util
Class ClosureAxiomFactory

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.util.ClosureAxiomFactory

    public class ClosureAxiomFactory

extends Object

A utility for creating and detecting closure axioms.

Closure axioms can be applied to existential restrictions that are direct pure superclass or part of an equivalent intersection of an OWLNamedClass.

For example: hasParent some Mother hasParent some Father Can be closed by adding: hasParent all (Mother or Father)

Author:
  Holger Knublauch

Constructor Summary
`ClosureAxiomFactory()`

Method Summary
`static OWLAllValuesFrom` | `addClosureAxiom(OWLNamedClass namedClass, OWLExistentialRestriction restriction)`
`static OWLAllValuesFrom` | `getClosureAxiom(OWLNamedClass namedClass, OWLExistentialRestriction restriction)` Checks whether a closure axiom exists for a given class/property pair.
`static OWLAllValuesFrom` | `getClosureAxiom(OWLNamedClass namedClass, RDFProperty prop)` Use to find a potential restriction as a base for adding closure on a particular property Will only return universals that have a named class or union of named classes as filler
`static OWLAllValuesFrom` | `getClosureAxiom(OWLNamedClass namedClass, RDFProperty prop, RDFResource filler)` Use to find a closure axiom for a given property (that already contains the given filler)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClosureAxiomFactory

    public ClosureAxiomFactory()

Method Detail

### addClosureAxiom

    public static OWLAllValuesFrom addClosureAxiom(OWLNamedClass namedClass,
                                                   OWLExistentialRestriction restriction)

### getClosureAxiom

    public static OWLAllValuesFrom getClosureAxiom(OWLNamedClass namedClass,
                                                   OWLExistentialRestriction restriction)

  Checks whether a closure axiom exists for a given class/property pair. This is always true after `addClosureAxiom()` has been called.

  Parameters:
    `namedClass` - the named class
    `restriction` - the restriction being (possibly) closed
  Returns:
    an existing OWLAllValuesFrom or null if no matching restriction exists

### getClosureAxiom

    public static OWLAllValuesFrom getClosureAxiom(OWLNamedClass namedClass,
                                                   RDFProperty prop)

  Use to find a potential restriction as a base for adding closure on a particular property Will only return universals that have a named class or union of named classes as filler

  Parameters:
    `namedClass` - the base class to be searched
    `prop` - will also search for universals on the superproperties of that given
  Returns:
    the first suitable restriction for the given property or null

### getClosureAxiom

    public static OWLAllValuesFrom getClosureAxiom(OWLNamedClass namedClass,
                                                   RDFProperty prop,
                                                   RDFResource filler)

  Use to find a closure axiom for a given property (that already contains the given filler)

  Parameters:
    `namedClass` - the base class to be searched
    `prop` - will also search for universals on the superproperties of that given
    `filler` - will search the fillers to find one that contains this resource
  Returns:
    the first universal restriction that matches both property

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.